# Uses of Class
java.io.ObjectStreamField

Packages that use ObjectStreamField
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of ObjectStreamField in java.io

Fields in java.io declared as ObjectStreamField
Modifier and Type
Field
Description
`static final ObjectStreamField[]`
ObjectStreamClass.`NO_FIELDS`
serialPersistentFields value indicating no serializable fields
Methods in java.io that return ObjectStreamField
Modifier and Type
Method
Description
`ObjectStreamField`
ObjectStreamClass.`getField(String name)`
Get the field of this class by name.
`ObjectStreamField[]`
ObjectStreamClass.`getFields()`
Return an array of the fields of this serializable class.